Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.v3.framework.wrappers
Interface HL7v3TransmissionWrapperInfoInterface

All Known Implementing Classes:
  HL7v3TransmissionWrapperInfo

    public interface HL7v3TransmissionWrapperInfoInterface

Version:
  cvs revision: $Revision: 1.1 $ Last Modified: $Date: 2007/12/14 10:20:11 $
Author:
  Nageswara Samudrala

Field Summary
`static java.lang.String` | `version`

Method Summary
`java.lang.String` | `getInteractionID()` Returns the interactionID The interaction identifier is a reference to the unique information interchange derived from the V3 MDF for specifying a message.
`java.lang.String` | `getProcessingCode()` Returns the processingCode This attribute defines whether the message is part of a production, training, or debugging system.
`java.lang.String` | `getProcessingModeCode()` Returns the ProcessingModeCode This attribute defines whether the message is being sent in current processing, archive mode, initial load mode, restore from archive mode
`boolean` | `getValidateTransmissionWrapper()` Returns the boolean value
`java.lang.String` | `getVersionID()` Returns the versionID This attribute is matched by the receiving system to its own version to be sure the message will be interpreted correctly
`boolean` | `isValidateTransmissionWrapper()`
`void` | `setInteractionID(java.lang.String interactionID)` Sets the interactionID The interaction identifier is a reference to the unique information interchange derived from the V3 MDF for specifying a message.
`void` | `setProcessingCode(java.lang.String processingCode)` Sets the processingCode This attribute defines whether the message is part of a production, training, or debugging system.
`void` | `setProcessingModeCode(java.lang.String processingModeCode)` Sets the ProcessingModeCode This attribute defines whether the message is being sent in current processing, archive mode, initial load mode, restore from archive mode
`void` | `setValidateTransmissionWrapper(boolean b)` Sets the ValidateTransmissionWrapper flag
`void` | `setVersionID(java.lang.String versionID)` Set the versionID This attribute is matched by the receiving system to its own version to be sure the message will be interpreted correctly

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getInteractionID

    java.lang.String getInteractionID()

  Returns the interactionID The interaction identifier is a reference to the unique information interchange derived from the V3 MDF for specifying a message.

  Returns:
    String

### setInteractionID

    void setInteractionID(java.lang.String interactionID)

  Sets the interactionID The interaction identifier is a reference to the unique information interchange derived from the V3 MDF for specifying a message.

  Parameters:
    `interactionID` - The interactionID to set

### getProcessingCode

    java.lang.String getProcessingCode()

  Returns the processingCode This attribute defines whether the message is part of a production, training, or debugging system.

  Returns:
    String

### setProcessingCode

    void setProcessingCode(java.lang.String processingCode)

  Sets the processingCode This attribute defines whether the message is part of a production, training, or debugging system.

  Parameters:
    `processingCode` - The processingCode to set

### getVersionID

    java.lang.String getVersionID()

  Returns the versionID This attribute is matched by the receiving system to its own version to be sure the message will be interpreted correctly

  Returns:
    String

### setVersionID

    void setVersionID(java.lang.String versionID)

  Set the versionID This attribute is matched by the receiving system to its own version to be sure the message will be interpreted correctly

  Parameters:
    `versionID` - The versionID to set

### getProcessingModeCode

    java.lang.String getProcessingModeCode()

  Returns the ProcessingModeCode This attribute defines whether the message is being sent in current processing, archive mode, initial load mode, restore from archive mode

  Returns:
    String

### setProcessingModeCode

    void setProcessingModeCode(java.lang.String processingModeCode)

  Sets the ProcessingModeCode This attribute defines whether the message is being sent in current processing, archive mode, initial load mode, restore from archive mode

  Parameters:
    `procesingModeCode` - The processingModeCode to set

### isValidateTransmissionWrapper

    boolean isValidateTransmissionWrapper()

  Returns:
    boolean

### getValidateTransmissionWrapper

    boolean getValidateTransmissionWrapper()

  Returns the boolean value

  Returns:
    boolean

### setValidateTransmissionWrapper

    void setValidateTransmissionWrapper(boolean b)

  Sets the ValidateTransmissionWrapper flag

  Parameters:
    `b` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD